using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a haderus corpse" )]
	public class Haderus : BaseCreature
	{
		public override bool HasBreath{ get{ return true; } }
		public override bool ReacquireOnMovement{ get{ return !Controlled; } }

		[Constructable]
		public Haderus() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a haderus";
			Body = 305;
			BaseSoundID = 0x596;

			SetStr( 402, 450 );
			SetDex( 181, 205 );
			SetInt( 136, 160 );

			SetHits( 275, 325 );

			SetDamage( 18, 24 );

			SetSkill( SkillName.MagicResist, 85.1, 110.0 );
			SetSkill( SkillName.Tactics, 105.1, 120.0 );
			SetSkill( SkillName.HandToHand, 95.1, 110.0 );

			Fame = 8400;
			Karma = -8400;

			VirtualArmor = 35;

			PackItem( new SulfurousAsh( 20 ) );

			AddItem( new LighterSource() );
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Average );
			AddLoot( LootPack.Meager );
		}

		public override int Meat{ get{ return 10; } }
		public override int Hides{ get{ return 15; } }

		public Haderus( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}